Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network210.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
210.0.0.0
Broadcast address
211.255.255.255
First usable
210.0.0.1
Last usable
211.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
C (default /24)
As numbers
Hex D2000000 · Integer 3523215360 to 3556769791
Reverse DNS zones
210.in-addr.arpa
211.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11010010.00000000.00000000.00000000210.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network11010010.00000000.00000000.00000000210.0.0.0
Broadcast11010011.11111111.11111111.11111111211.255.255.255
Split into smaller subnets/13

210.0.0.0/7 makes 64 subnets of /13.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1210.0.0.0/13210.0.0.1 to 210.7.255.254210.7.255.255524,286
2210.8.0.0/13210.8.0.1 to 210.15.255.254210.15.255.255524,286
3210.16.0.0/13210.16.0.1 to 210.23.255.254210.23.255.255524,286
4210.24.0.0/13210.24.0.1 to 210.31.255.254210.31.255.255524,286
5210.32.0.0/13210.32.0.1 to 210.39.255.254210.39.255.255524,286
6210.40.0.0/13210.40.0.1 to 210.47.255.254210.47.255.255524,286
7210.48.0.0/13210.48.0.1 to 210.55.255.254210.55.255.255524,286
8210.56.0.0/13210.56.0.1 to 210.63.255.254210.63.255.255524,286
9210.64.0.0/13210.64.0.1 to 210.71.255.254210.71.255.255524,286
10210.72.0.0/13210.72.0.1 to 210.79.255.254210.79.255.255524,286
11210.80.0.0/13210.80.0.1 to 210.87.255.254210.87.255.255524,286
12210.88.0.0/13210.88.0.1 to 210.95.255.254210.95.255.255524,286
13210.96.0.0/13210.96.0.1 to 210.103.255.254210.103.255.255524,286
14210.104.0.0/13210.104.0.1 to 210.111.255.254210.111.255.255524,286
15210.112.0.0/13210.112.0.1 to 210.119.255.254210.119.255.255524,286
16210.120.0.0/13210.120.0.1 to 210.127.255.254210.127.255.255524,286
17210.128.0.0/13210.128.0.1 to 210.135.255.254210.135.255.255524,286
18210.136.0.0/13210.136.0.1 to 210.143.255.254210.143.255.255524,286
19210.144.0.0/13210.144.0.1 to 210.151.255.254210.151.255.255524,286
20210.152.0.0/13210.152.0.1 to 210.159.255.254210.159.255.255524,286
21210.160.0.0/13210.160.0.1 to 210.167.255.254210.167.255.255524,286
22210.168.0.0/13210.168.0.1 to 210.175.255.254210.175.255.255524,286
23210.176.0.0/13210.176.0.1 to 210.183.255.254210.183.255.255524,286
24210.184.0.0/13210.184.0.1 to 210.191.255.254210.191.255.255524,286
25210.192.0.0/13210.192.0.1 to 210.199.255.254210.199.255.255524,286
26210.200.0.0/13210.200.0.1 to 210.207.255.254210.207.255.255524,286
27210.208.0.0/13210.208.0.1 to 210.215.255.254210.215.255.255524,286
28210.216.0.0/13210.216.0.1 to 210.223.255.254210.223.255.255524,286
29210.224.0.0/13210.224.0.1 to 210.231.255.254210.231.255.255524,286
30210.232.0.0/13210.232.0.1 to 210.239.255.254210.239.255.255524,286
31210.240.0.0/13210.240.0.1 to 210.247.255.254210.247.255.255524,286
32210.248.0.0/13210.248.0.1 to 210.255.255.254210.255.255.255524,286
33211.0.0.0/13211.0.0.1 to 211.7.255.254211.7.255.255524,286
34211.8.0.0/13211.8.0.1 to 211.15.255.254211.15.255.255524,286
35211.16.0.0/13211.16.0.1 to 211.23.255.254211.23.255.255524,286
36211.24.0.0/13211.24.0.1 to 211.31.255.254211.31.255.255524,286
37211.32.0.0/13211.32.0.1 to 211.39.255.254211.39.255.255524,286
38211.40.0.0/13211.40.0.1 to 211.47.255.254211.47.255.255524,286
39211.48.0.0/13211.48.0.1 to 211.55.255.254211.55.255.255524,286
40211.56.0.0/13211.56.0.1 to 211.63.255.254211.63.255.255524,286
41211.64.0.0/13211.64.0.1 to 211.71.255.254211.71.255.255524,286
42211.72.0.0/13211.72.0.1 to 211.79.255.254211.79.255.255524,286
43211.80.0.0/13211.80.0.1 to 211.87.255.254211.87.255.255524,286
44211.88.0.0/13211.88.0.1 to 211.95.255.254211.95.255.255524,286
45211.96.0.0/13211.96.0.1 to 211.103.255.254211.103.255.255524,286
46211.104.0.0/13211.104.0.1 to 211.111.255.254211.111.255.255524,286
47211.112.0.0/13211.112.0.1 to 211.119.255.254211.119.255.255524,286
48211.120.0.0/13211.120.0.1 to 211.127.255.254211.127.255.255524,286
49211.128.0.0/13211.128.0.1 to 211.135.255.254211.135.255.255524,286
50211.136.0.0/13211.136.0.1 to 211.143.255.254211.143.255.255524,286
51211.144.0.0/13211.144.0.1 to 211.151.255.254211.151.255.255524,286
52211.152.0.0/13211.152.0.1 to 211.159.255.254211.159.255.255524,286
53211.160.0.0/13211.160.0.1 to 211.167.255.254211.167.255.255524,286
54211.168.0.0/13211.168.0.1 to 211.175.255.254211.175.255.255524,286
55211.176.0.0/13211.176.0.1 to 211.183.255.254211.183.255.255524,286
56211.184.0.0/13211.184.0.1 to 211.191.255.254211.191.255.255524,286
57211.192.0.0/13211.192.0.1 to 211.199.255.254211.199.255.255524,286
58211.200.0.0/13211.200.0.1 to 211.207.255.254211.207.255.255524,286
59211.208.0.0/13211.208.0.1 to 211.215.255.254211.215.255.255524,286
60211.216.0.0/13211.216.0.1 to 211.223.255.254211.223.255.255524,286
61211.224.0.0/13211.224.0.1 to 211.231.255.254211.231.255.255524,286
62211.232.0.0/13211.232.0.1 to 211.239.255.254211.239.255.255524,286
63211.240.0.0/13211.240.0.1 to 211.247.255.254211.247.255.255524,286
64211.248.0.0/13211.248.0.1 to 211.255.255.254211.255.255.255524,286

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses